Main Page Widgets Namespaces Book

# Atk::Relation Class Reference

Inheritance diagram for Atk::Relation:

[legend]
List of all members.

## Public Methods

virtual | ~Relation ()
AtkRelation* | gobj ()
const AtkRelation* | gobj () const
AtkRelation* | gobj_copy ()

## Protected Methods

| Relation (Glib::ArrayHandle<Glib::RefPtr<Atk::Object>> targets, RelationType relationship=RELATION_NULL)
RelationType | get_relation_type () const
| Gets the type of relation.

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Atk::Relation> | wrap (AtkRelation* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Relation::~Relation | ( |  | ) | `[virtual]`

Atk::Relation::Relation | ( | Glib::ArrayHandle<Glib::RefPtr<Atk::Object>> | targets,
|  | RelationType | relationship = RELATION_NULL
| ) | `[explicit, protected]`

## Member Function Documentation

RelationType Atk::Relation::get_relation_type | ( |  | ) | `[protected]`

Gets the type of relation.

Returns:
  The type of relation.

const AtkRelation* Atk::Relation::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase.

AtkRelation* Atk::Relation::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase.

AtkRelation* Atk::Relation::gobj_copy | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Relation> wrap | ( | AtkRelation* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- relation.h